﻿using Syncfusion.Windows.Forms.Diagram;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ActiveNodeProblem
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void SetActiveTool(string toolName)
        {
            this.diagram1.Controller.ActivateTool(toolName);
        }
        private void btnRichTextbox_Click(object sender, EventArgs e)
        {
            RichTextTool tool = new RichTextTool(diagram1.Controller);
            diagram1.Controller.RegisterTool(tool);
            SetActiveTool("RichTextTool");
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            foreach (Node node in diagram1.Model.Nodes)
            {
                switch (node.GetType().Name.ToLower())
                {
                       
                    case "richtextnode":
                        RichTextNode rtxtNode = (RichTextNode)node;

                        string content = rtxtNode.RichText;

                        break;

                    

                    default:
                        break;
                }
            }
        }
    }
}
